from flask import Blueprint as BaseBlueprint

from .scaffold import Scaffold
from .scaffold import _sentinel


class APIBlueprint(BaseBlueprint, Scaffold):
    """Flask's Blueprint with some API support.

    .. versionadded:: 0.2.0
    """

    def __init__(
        self,
        name,
        import_name,
        tag=None,
        static_folder=None,
        static_url_path=None,
        template_folder=None,
        url_prefix=None,
        subdomain=None,
        url_defaults=None,
        root_path=None,
        cli_group=_sentinel,
    ):
        super(APIBlueprint, self).__init__(
            name,
            import_name,
            static_folder=static_folder,
            static_url_path=static_url_path,
            template_folder=template_folder,
            url_prefix=url_prefix,
            subdomain=subdomain,
            url_defaults=url_defaults,
            root_path=root_path,
            cli_group=cli_group,
        )
        self.tag = tag
